> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get a Canned Response >
Enterprise
Get a specific canned response. Permission required: `view-canned-responses` ### Changelog | Version | Description | | ---------------- | ------------| |1.0.0 | Added | ## OpenAPI ````json GET /api/v1/canned-responses/{_id} { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Omnichannel" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Omnichannel Users" }, { "name": "Omnichannel Agents" }, { "name": "Omnichannel Monitors" }, { "name": "Omnichannel Visitors" }, { "name": "Omnichannel Contacts" }, { "name": "Omnichannel Rooms" }, { "name": "Omnichannel Departments" }, { "name": "Omnichannel Custom Fields" }, { "name": "Omnichannel Business Hours" }, { "name": "Omnichannel Priorities" }, { "name": "Omnichannel Tags" }, { "name": "Omnichannel Units" }, { "name": "SLA Policies" }, { "name": "Canned Responses" }, { "name": "Omnichannel Transcript" }, { "name": "Omnichannel Statistics" }, { "name": "Omnichannel Agent Stats" }, { "name": "Omnichannel Dashboards" }, { "name": "Reports" }, { "name": "Omnichannel Inquiries" }, { "name": "Omnichannel Webhooks" }, { "name": "Livechat" }, { "name": "Livechat Appearance" }, { "name": "Livechat Triggers" }, { "name": "Livechat Messages" }, { "name": "Livechat Page Visited" } ], "paths": { "/api/v1/canned-responses/{_id}": { "parameters": [ { "schema": { "type": "string" }, "example": "EwmbZ9nLSx7kFamYB", "name": "_id", "in": "path", "required": true, "description": "The canned response's ID." } ], "get": { "tags": [ "Canned Responses" ], "summary": "Get a Canned Response", "description": "
\"Enterprise\"
\n\nGet a specific canned response.\n\nPermission required: `view-canned-responses`\n\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|1.0.0 | Added |", "operationId": "get-api-v1-canned-responses-_id", "parameters": [ { "$ref": "#/components/parameters/AuthToken" }, { "$ref": "#/components/parameters/UserId" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "cannedResponse": { "type": "object", "properties": { "_id": { "type": "string" }, "shortcut": { "type": "string" }, "text": { "type": "string" }, "scope": { "type": "string" }, "userId": { "type": "string" }, "createdBy": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" } } }, "_createdAt": { "type": "string" }, "_updatedAt": { "type": "string" } } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "cannedResponse": { "_id": "EwmbZ9nLSx7kFamYB", "shortcut": "user", "text": "Meu 32423423423423423", "scope": "user", "userId": "9L3wuBXKpbAWdfgx8", "createdBy": { "_id": "9L3wuBXKpbAWdfgx8", "username": "rafael.ferreira" }, "_createdAt": "2021-05-26T18:59:17.929Z", "_updatedAt": "2021-05-26T18:59:17.929Z" }, "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "403": { "$ref": "#/components/responses/permissionError" } } } } }, "components": { "parameters": { "AuthToken": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } }, "permissionError": { "description": "Forbidden", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Permission Error": { "value": { "success": false, "error": "User does not have the permissions required for this action [error-unauthorized]" } }, "Unauthorized": { "value": { "success": false, "error": "unauthorized" } } } } } } } } } ````